Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.dbc.condition
Class ExecutableCondition

    java.lang.Object
      org.jboss.aspects.dbc.condition.Condition
          org.jboss.aspects.dbc.condition.ExecutableCondition

Direct Known Subclasses:
  ConstructorCondition, MethodCondition

public abstract class ExecutableCondition
extends Condition

A pre or post consition

Version:
  $Revision: 1.1.8.5 $
Author:
  Kabir Khan

Field Summary

Fields inherited from class org.jboss.aspects.dbc.condition.Condition
`clazz, condExpr, isStatic, originalExpr, parameterLookup, RETURN, TARGET`

Constructor Summary
`ExecutableCondition(String condExpr, Class clazz, boolean isStatic)`

Method Summary
`void` | `evaluateCondition(DesignByContractAspect aspect, org.jboss.aop.joinpoint.Invocation inv, Object[] args, Object ret)`
`protected abstract Object` | `executableObject()`
`protected abstract Object` | `getValueForPredefinedToken(org.jboss.aop.joinpoint.Invocation invocation, Object rtn, String token)`
`protected Object` | `getValueForToken(org.jboss.aop.joinpoint.Invocation invocation, Object[] args, Object rtn, String token)`
`protected abstract boolean` | `isPredefinedToken(String token)`
`protected abstract Class[]` | `parameterTypes()`
`String` | `toString()`

Methods inherited from class org.jboss.aspects.dbc.condition.Condition
`equals, getTarget, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExecutableCondition

    public ExecutableCondition(String condExpr,
                               Class clazz,
                               boolean isStatic)

Method Detail

### evaluateCondition

    public void evaluateCondition(DesignByContractAspect aspect,
                                  org.jboss.aop.joinpoint.Invocation inv,
                                  Object[] args,
                                  Object ret)

### toString

    public String toString()

  Overrides:
    `toString` in class `Condition`

### getValueForToken

    protected Object getValueForToken(org.jboss.aop.joinpoint.Invocation invocation,
                                      Object[] args,
                                      Object rtn,
                                      String token)

### isPredefinedToken

    protected abstract boolean isPredefinedToken(String token)

### getValueForPredefinedToken

    protected abstract Object getValueForPredefinedToken(org.jboss.aop.joinpoint.Invocation invocation,
                                                         Object rtn,
                                                         String token)

### executableObject

    protected abstract Object executableObject()

### parameterTypes

    protected abstract Class[] parameterTypes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.